Loading...
Searching...
No Matches
space.h File Reference

`space` - piecewise polynomial finite element space More...

Go to the source code of this file.

## Classes

struct | space_pair_type
struct | is_mpi_datatype< rheolef::space_pair_type >
class | space_base_rep< T, M >
class | space_rep< T, M >
class | space_rep< T, sequential >
class | space_rep< T, distributed >
class | space_basic< T, M >
| the finite element space More...
class | space_basic< T, sequential >
class | space_basic< T, distributed >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | boost
namespace | boost::mpi

## Macros

#define | _RHEOLEF_space_build_dom_dis_idof2bgd_dis_idof(M)

## Detailed Description

`space` - piecewise polynomial finite element space

Definition in file space.h.

## Macro Definition Documentation

## _RHEOLEF_space_build_dom_dis_idof2bgd_dis_idof

#define _RHEOLEF_space_build_dom_dis_idof2bgd_dis_idof | ( |  | M | ) |

Value:
template<class T> \
inline \
disarray<typename space_basic<T,M>::size_type, M> \
space_basic<T,M>::build_dom_dis_idof2bgd_dis_idof ( \
const space_basic<T,M>& Wh, \
const std::string& dom_name) const \
{ \
return base::data().build_dom_dis_idof2bgd_dis_idof (Wh.data(), dom_name); \
} \
template<class T> \
inline \
disarray<typename space_basic<T,M>::size_type, M> \
space_basic<T,M>::build_dom_dis_idof2bgd_dis_idof ( \
const space_basic<T,M>& Wh, \
const geo_basic<T,M>& bgd_gamma) const \
{ \
return base::data().build_dom_dis_idof2bgd_dis_idof (Wh.data(), bgd_gamma); \
}
M
Expr1::memory_type M
Definition vec_expr_v2.h:416

Definition at line 1199 of file space.h.